<?php
/* 
*   +------------------------------------------------------------------------------+ 
*       BrewThology - BeerXML Recipe Database                                                     
*		http://www.kotmf.com/beerxml
*		admin/i_review.php - Allows admin to update ingredient lists
*		version: 0.1
*   +------------------------------------------------------------------------------+ 
*    Copyright: This program is free software; you can redistribute it and/or modify
*    it under the terms of the license included with the package.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*   +------------------------------------------------------------------------------+ 
*       Author: 
*			Bryan Peretto (kotmf.com - bperetto@yahoo.com)
*		Contributors:	
*			Rob Hudson (tastybrew.com)
*			Mike A. (barleydogbrewery.com)
*   +------------------------------------------------------------------------------+ 
*/ 



// Set the page title and include the HTML header.
$page_title = 'Review Uploaded Ingredients';
include_once ('../templates/admin_header.tpl');  // page header template for admin

require_once ('../includes/xml2array.inc');
 
$data = @implode("", file($_FILES['upload']['tmp_name'])) OR die ('Could not read uploaded file');
$db = xml2array($data);
require_once ('../db/mysql_connect.php');

$recs = $db['RECIPES']['RECIPE'];
$hops = $db['HOPS'];
$ferms = $db['FERMENTABLES'];
$miscs = $db['MISCS'];
$yeasts = $db['YEASTS'];
$styles = $db['STYLES'];

// echo '<PRE>';
// print_r($styles);
// echo '</PRE>';

if (isset($recs)) {
  echo "You <I>Really</I> don't want to upload a recipe file here. Trust Me!<BR />";
  echo "Please get a valid ingredient list at http://www.brewthology.com";
  die ();
} else if (isset($hops)) {
  echo "You uploaded a Hop ingredient List";
  $updatetype = "H";
  $seenew = "SELECT name, hoptype FROM i_hops";
} else if (isset($ferms)) {
  echo "You uploaded a Fermentables ingredients List";
  $updatetype = "F";
  $seenew = "SELECT name, fermtype FROM i_fermentables";
} else if (isset($miscs)) {
  echo "You uploaded a Misc ingredients List";
  $updatetype = "M";
  $seenew = "SELECT name, misctype FROM i_miscs";
} else if (isset($yeasts)) {
  echo "You uploaded a Yeast List";
  $updatetype = "Y";
  $seenew = "SELECT name, yeasttype FROM i_yeasts";
} else if (isset($styles)) {
  echo "You uploaded a Styles List";
  $seenew = "SELECT name, styletype FROM i_styles";
  $updatetype = "S";  
  } else {
    echo "Error! We don't recognize the file you uploaded!";
    die ();
}


// UPDATE FERMENTABLES
if ($updatetype == 'F') {
		// first, let's clear the table.
		$del = "TRUNCATE `i_fermentables`";
		$run = @mysql_query ($del);
foreach(isset($ferms[FERMENTABLE][0]) ? $ferms[FERMENTABLE] : $ferms[FERMENTABLE] as $iferm) {

   $bfver = addslashes($iferm['VERSION']) ;
   $bfname = addslashes($iferm['NAME']) ; 
   $bftype = addslashes($iferm['TYPE']) ;
   $bfamt = "0";
   $bfyield = addslashes($iferm['YIELD']) ;
   $bfcolor = addslashes($iferm['COLOR']) ;
   $bfaab = addslashes($iferm['ADD_AFTER_BOIL']) ;
     if ($bfaab == 'TRUE') {
    $bfaab = 1;
	} else {
	$bfaab = 0;
	} 
   $bforg = addslashes($iferm['ORIGIN']) ;
   $bfsup = addslashes($iferm['SUPPLIER']) ;
   $bfnotes = addslashes($iferm['NOTES']) ;
   $bfcoarse = addslashes($iferm['COARSE_FINE_DIFF']) ;
   $bfmoi = addslashes($iferm['MOISURE']) ;
   $bfdia = addslashes($iferm['DIASTATIC_POWER']) ;
   $bfpro = addslashes($iferm['PROTEIN']) ;
   $bfmax = addslashes($iferm['MAX_IN_BATCH']) ;
   $bfmash = addslashes($iferm['RECOMMEND_MASH']) ;
     if ($bfmash == 'TRUE') {
    $bfmash = 1;
	} else {
	$bfmash = 0;
	} 
   $bfibu = addslashes($iferm['IBU_GAL_PER_LB']) ;
   $bfpot = addslashes($iferm['POTENTIAL']) ;
	if ($bfver > 0) { // Checked for required value of "VERION=1" (or greater)
		$query_ferms = "INSERT INTO i_fermentables 
						(bxml_recipes_reciperecid, version, name, fermtype, amount, yield, color, add_after_boil, origin, supplier, notes, coarse, moisture, diastatic, protein, maxin, shouldmash, ibugal, potential) 
						 VALUES ('0', '$bfver', '$bfname', '$bftype', '$bfamt', '$bfyield', '$bfcolor', '$bfaab', '$bforg', '$bfsup', '$bfnotes', '$bfcoarse', '$bfmoi', '$bfdia', '$bfpro', '$bfmax', '$bfmash', '$bfibu', '$bfpot')";
		// echo '<BR /><B>Fermentables Table:</B> ', $query_ferms, '<BR /><BR />'; // DEBUG
		$results_ferms = @mysql_query ($query_ferms);
	} else {
		echo '<BR /><B>Fermentables Table:</B> Error!<BR /><BR />'; // DEBUG
	}
	}
}






// UPDATE HOPS
if ($updatetype == 'H') {
		// first, let's clear the table.
		$del = "TRUNCATE `i_hops`";
		$run = @mysql_query ($del);
foreach(isset($hops[HOP][0]) ? $hops[HOP] : $hops[HOP] as $ihop) {

   $bhname = addslashes($ihop['NAME']) ;
   $bhvers = addslashes($ihop['VERSION']) ;
   $bhalpha = addslashes($ihop['ALPHA']) ; 
   $bhamt = "0" ; 
   $bhuse = addslashes($ihop['USE']) ; 
   $bhtime = "0" ;
   $bhnotes = addslashes($ihop['NOTES']) ; 
   $bhtype = addslashes($ihop['TYPE']) ;
   $bhform = addslashes($ihop['FORM']) ;
   $bhbeta = addslashes($ihop['BETA']) ;
   $bhhsi = addslashes($ihop['HSI']) ;
   $bhorg = addslashes($ihop['ORIGIN']) ;
   $bhsub = addslashes($ihop['SUBSTITUTES']) ;
   $bhhum = addslashes($ihop['HUMULENE']) ;
   $bhcar = addslashes($ihop['CARYOPHYLLENE']) ; 
   $bhcoh = addslashes($ihop['COHUMULONE']) ; 
   $bhmyr = addslashes($ihop['MYRCENE']) ; 
	if ($bhvers > 0) { // Checked for required value of "VERION=1" (or greater)
	$query_hops = "INSERT INTO i_hops 
    				(bxml_recipes_reciperecid, name, version, alpha, amount, hopuse, time, notes, hoptype, form, beta, hsi, origin, substitutes, humulene, caryo, cohum, myrcene) 
	    			VALUES ('0', '$bhname', '$bhvers', '$bhalpha', '$bhamt', '$bhuse', '$bhtime', '$bhnotes', '$bhtype', '$bhform', '$bhbeta', '$bhhsi', '$bhorg', '$bhsub', '$bhhum', '$bhcar', '$bhcoh', '$bhmyr')";
		// echo '<BR /><B>Hops Table:</B> ', $query_hops, '<BR /><BR />'; // DEBUG
		$results_hops = @mysql_query ($query_hops);
	} else {
		echo '<BR /><B>Hops Table:</B> Error!<BR /><BR />'; // DEBUG
	}
	}
}





// UPDATE MISC
if ($updatetype == 'M') {
		// first, let's clear the table.
		$del = "TRUNCATE `i_miscs`";
		$run = @mysql_query ($del);
foreach(isset($miscs[MISC][0]) ? $miscs[MISC] : $miscs[MISC] as $imisc) {

   $bmname = addslashes($imisc['NAME']) ;
   $bmver = addslashes($imisc['VERSION']) ;
   $bmtype = addslashes($imisc['TYPE']) ;
   $bmuse = addslashes($imisc['USE']) ;
   $bmwt = addslashes($imisc['AMOUNT_IS_WEIGHT']) ;
        if ($bmwt == 'TRUE') {
    $bmwt = 1;
	} else {
	$bmwt = 0;
	} 
   $bmfor = addslashes($imisc['USE_FOR']) ;
   $bmnotes = addslashes($imisc['NOTES']) ;
if ($bmver > 0) { // Checked for required value of "VERION=1" (or greater)
	$query_miscs = "INSERT INTO i_miscs 
					(bxml_recipes_reciperecid, name, version, misctype, miscuse, time, amount, amtweight, usefor, notes) 
					VALUES ('0', '$bmname', '$bmver', '$bmtype', '$bmuse', '0', '0', '$bmwt', '$bmfor', '$bmnotes')";		
		// echo '<BR /><B>Misc Table:</B> ', $query_miscs, '<BR /><BR />'; // DEBUG
		$results_miscs = @mysql_query ($query_miscs);
	} else {
		echo '<BR /><B>Misc Table:</B> Error!<BR /><BR />'; // DEBUG
	}
	}
}








// UPDATE YEAST
if ($updatetype == 'Y') {
		// first, let's clear the table.
		$del = "TRUNCATE `i_yeasts`";
		$run = @mysql_query ($del);
foreach(isset($yeasts[YEAST][0]) ? $yeasts[YEAST] : $yeasts[YEAST] as $iyeast) {

   $byprodid = addslashes($iyeast['PRODUCT_ID']) ;
   $byname = addslashes($iyeast['NAME']) ;
   $bytype = addslashes($iyeast['TYPE']) ;
   $byform = addslashes($iyeast['FORM']) ;
   $bylab = addslashes($iyeast['LABORATORY']) ;
   $bywgt = addslashes($iyeast['AMOUNT_IS_WEIGHT']) ;
    if ($bywgt == 'TRUE') {
    $bywgt = 1;
	} else {
	$bywgt = 0;
	} 
   $bymint = addslashes($iyeast['MIN_TEMPERATURE']) ;
   $bymaxt = addslashes($iyeast['MAX_TEMPERATURE']) ;
   $byfloc = addslashes($iyeast['FLOCCULATION']) ;
   $byvers = addslashes($iyeast['VERSION']) ;
   $byatt = addslashes($iyeast['ATTENUATION']) ;
   $bynotes = addslashes($iyeast['NOTES']) ;
   $bybest = addslashes($iyeast['BEST_FOR']) ;
   $byreuse = addslashes($iyeast['MAX_REUSE']) ;
   $bysec = addslashes($iyeast['ADD_TO_SECONDARY']) ;
       if ($bysec == 'TRUE') {
    $bysec = 1;
	} else {
	$bysec = 0;
	} 
if ($byvers > 0) { // Checked for required value of "VERION=1" (or greater)
	$query_yeasts = "INSERT INTO i_yeasts 
					(bxml_recipes_reciperecid, prodid, name, yeasttype, form, lab, amount, amtweight, mintemp, maxtemp, flocc, version, attenuation, notes, best, maxreuse, addsecond) 
					VALUES ('$recipenum', '$byprodid', '$byname', '$bytype', '$byform', '$bylab', '0', '$bywgt', '$bymint', '$bymaxt', '$byfloc', '$byvers', '$byatt', '$bynotes', '$bybest', '$byreuse', '$bysec')";		
		// echo '<BR /><B>Yeasts Table:</B> ', $query_yeasts, '<BR /><BR />'; // DEBUG
		$results_miscs = @mysql_query ($query_yeasts);
	} else {
		echo '<BR /><B>Yeast Table:</B> Error!<BR /><BR />'; // DEBUG
	}
	}
}









// UPDATE STYLES
if ($updatetype == 'S') {
		// first, let's clear the table.
		$del = "TRUNCATE `i_styles`";
		$run = @mysql_query ($del);
foreach(isset($styles[STYLE][0]) ? $styles[STYLE] : $styles[STYLE] as $istyle) {

$bsl = addslashes($istyle['STYLE_LETTER']) ;
$bsg = addslashes($istyle['STYLE_GUIDE']) ;
$bscn = addslashes($istyle['CATEGORY_NUMBER']) ;
$bsc = addslashes($istyle['CATEGORY']) ;
$bsv = addslashes($istyle['VERSION']) ;
$bss = addslashes($istyle['TYPE']) ;
$bsogmin = addslashes($istyle['OG_MIN']) ;
$bsogmax = addslashes($istyle['OG_MAX']) ;
$bsfgmin = addslashes($istyle['FG_MIN']) ;
$bsfgmax = addslashes($istyle['FG_MAX']) ;
$bsibumin = addslashes($istyle['IBU_MIN']) ;
$bsibumax = addslashes($istyle['IBU_MAX']) ;
$bscolmin = addslashes($istyle['COLOR_MIN']) ;
$bscolmax = addslashes($istyle['COLOR_MAX']) ;
$bscarbmin = addslashes($istyle['CARB_MIN']) ;
$bscarbmax = addslashes($istyle['CARB_MAX']) ;
$bsabvmin = addslashes($istyle['ABV_MIN']) ;
$bsabvmax = addslashes($istyle['ABV_MAX']) ;
$bsnotes = addslashes($istyle['NOTES']) ;
$bsp = addslashes($istyle['PROFILE']) ;
$bsi = addslashes($istyle['INGREDIENTS']) ;
$bse = addslashes($istyle['EXAMPLES']) ;
$bsname = addslashes($istyle['NAME']) ; 
 if ($bsv > 0) { // Checked for required value of "VERION=1" (or greater)
	$query_styles = "INSERT INTO i_styles 
			(bxml_recipes_reciperecid, letter, guide, categorynum, category, version, styletype, og_min, og_max, fg_min, fg_max, ibu_min, ibu_max, color_min, color_max, carb_min, carb_max, abv_min, abv_max, notes, profile, ingredients, examples, name) 
			VALUES ('0', '$bsl', '$bsg', '$bscn', '$bsc', '$bsv', '$bss', '$bsogmin', '$bsogmax', '$bsfgmin', '$bsfgmax', '$bsibumin', '$bsibumax', '$bscolmin', '$bscolmax', '$bscarbmin', '$bscarbmax', '$bsabvmin', '$bsabvmax', '$bsnotes', '$bsp', '$bsi', '$bse', '$bsname')";
		// echo '<BR /><B>Styles Table:</B> ', $query_styles, '<BR /><BR />'; // DEBUG
		$results_miscs = @mysql_query ($query_styles);
	} else {
		echo '<BR /><B>Styles Table:</B> Error!<BR /><BR />'; // DEBUG
	}
	}
}













// This displays the table you just populated
// echo $seenew;
$result = @mysql_query ($seenew);
$num = mysql_num_rows ($result); // How many records are there?
	if ($num > 0) { // There are records
	
		echo "<h3>New Items</h3>";
	
			echo '<table cellspacing="2" cellpadding="2" border="2">
			<tr>
			<td align="left">Name</td>
			<td align="left">Type</td>
			</tr>
			';
		
		// Fetch and print all the records.
		$bg = '#eeeeee';
		while ($row = mysql_fetch_array($result, MYSQL_NUM)) {
   			$bg = ($bg=='#eeeeee' ? '#ffffff' : '#eeeeee');
			echo '<tr bgcolor="', $bg, '">
			<td align="left">', $row[0], '</td>
			<td align="left">', $row[1], '</td>
			</tr>
			';
		}
	
		echo '</table><BR /><BR />';

		mysql_free_result ($result); // Free up the resources.	



	
	} else { // There are no Items
	echo '<BR /> <B>ERROR!!:</B> There are no items in the Database<BR />';	  
	}
	
include_once ('../templates/admin_footer.tpl');  // page footer template for admin
?> 