<?php 
/* 
*   +------------------------------------------------------------------------------+ 
*       BrewThology - Online Recipe Database with calculator and BeerXML support
*		http://www.brewthology.com
*		register.php - Allows a visitor to register an account
*		version: 0.1
*   +------------------------------------------------------------------------------+ 
*    Copyright: This program is free software; you can redistribute it and/or modify
*    it under the terms of the license included with the package.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*   +------------------------------------------------------------------------------+ 
*       Author: 
*			Bryan Peretto (kotmf.com - bperetto@yahoo.com)
*		Contributors:	
*			Rob Hudson (tastybrew.com)
*			Mike A. (barleydogbrewery.com)
*			John Trainer (trainerfamily.net)
*   +------------------------------------------------------------------------------+ 
*/ 

require_once ('includes/config.inc'); // Include the configuration file
require_once ($langf); // Include language file for text responses
$page_title = $sname. ': '.$lang['Registration']; // Set Page Title
include_once ('templates/header.tpl'); // Include Template Header and Navigation
require_once ('db/mysql_connect.php'); // Connect to the database.




if (isset($_POST['submit'])) { // Handle the form.


	
	$m = escape_data($_POST['metric']);

	// Check for a first name.
	if (eregi ("^[[:alpha:].' -]{2,15}$", stripslashes(trim($_POST['first_name'])))) {
		$fn = escape_data($_POST['first_name']);
	} else {
		$fn = FALSE;
		echo '<p><font color="red" size="+1">'.$lang['VerifyFName'].'</font></p>';
	}
	
	// Check for a last name.
	if (eregi ("^[[:alpha:].' -]{2,30}$", stripslashes(trim($_POST['last_name'])))) {
		$ln = escape_data($_POST['last_name']);
	} else {
		$ln = FALSE;
		echo '<p><font color="red" size="+1">'.$lang['VerifyLName'].'</font></p>';
	}
	
	// Check for an email address.
	if (eregi ("^[[:alnum:]][a-z0-9_.-]*@[a-z0-9.-]+\.[a-z]{2,4}$", stripslashes(trim($_POST['email'])))) {
		$e = escape_data($_POST['email']);
	} else {
		$e = FALSE;
		echo '<p><font color="red" size="+1">'.$lang['VerifyEMail'].'</font></p>';
	}

	// Check for a username.
	if (eregi ("^[[:alnum:]_]{4,20}$", stripslashes(trim($_POST['username'])))) {
		$u = escape_data($_POST['username']);
	} else {
		$u = FALSE;
		echo '<p><font color="red" size="+1">'.$lang['VerifyUserName'].'</font></p>';
	}
	
	// Check for a password and match against the confirmed password.
	if (eregi ("^[[:alnum:]]{4,20}$", stripslashes(trim($_POST['password1'])))) {
		if ($_POST['password1'] == $_POST['password2']) {
			$p = escape_data($_POST['password1']);
		} else {
			$p = FALSE;
			echo '<p><font color="red" size="+1">'.$lang['PWMatch'].'</font></p>';
		}
	} else {
		$p = FALSE;
		echo '<p><font color="red" size="+1">'.$lang['VerifyPW'].'</font></p>';
	}
	
	if ($fn && $ln && $e && $u && $p) { // If everything's OK.

		// Make sure the username is available.
		$query = "SELECT username FROM bxml_users WHERE username='$u'";		
		$result = @mysql_query ($query);
		
		if (mysql_num_rows($result) == 0) { // Available.
		
			// Add the user.
			$query = "INSERT INTO bxml_users (username, first_name, last_name, email, userpass, metric) VALUES ('$u', '$fn', '$ln', '$e', SHA('$p'), '$m')";		
			$result = @mysql_query ($query); // Run the query.

			if ($result) { // If it ran OK.
			
				// Send an email, if desired.
				echo '<p><b>'.$lang['ThanksReg'].'</b></p>';
				include_once ('templates/footer.tpl'); // Include the HTML footer.
				exit();				
				
			} else { // If it did not run OK.
				// Send a message to the error log, if desired.
				echo '<p><font color="red" size="+1">'.$lang['RegError'].'</font></p>'; 
			}		
			
		} else { // The username is not available.
			echo '<p><font color="red" size="+1">'.$lang['UNError'].'</font></p>'; 
		}
		
		mysql_close(); // Close the database connection.

	} else { // If one of the data tests failed.
		echo '<p><font color="red" size="+1">'.$lang['TryAgain'].'</font></p>';		
	}

} // End of the main Submit conditional.

echo '	
	<h1>'.$lang['Registration'].'</h1>
	<form action="'.$_SERVER['PHP_SELF'].'" method="post">
	<fieldset>
	
	<p><b>'.$lang['FName'].':</b> <input type="text" name="first_name" size="15" maxlength="15" value="';
	 if (isset($_POST['first_name'])) echo $_POST['first_name'];
	 echo '" /></p>
	
	<p><b>'.$lang['LName'].':</b> <input type="text" name="last_name" size="30" maxlength="30" value="';
	if (isset($_POST['last_name'])) echo $_POST['last_name'];
	echo'" /></p>
	
	<p><b>'.$lang['Units'].':</b> <SELECT name="metric">
      	<OPTION value="0">'.$lang['UnitsUS'].'</OPTION>
      	<OPTION value="1">'.$lang['UnitsMetric'].'</OPTION>
		</SELECT></p>

	<p><b>'.$lang['EMail'].':</b> <input type="text" name="email" size="40" maxlength="40" value="';
	if (isset($_POST['email'])) echo $_POST['email'];
	echo '" /> </p>
	
	<p><b>'.$lang['UserName'].':</b> <input type="text" name="username" size="10" maxlength="20" value="';
	if (isset($_POST['username'])) echo $_POST['username']; 
	echo '" /> <small>'.$lang['UNRules'].'</small></p>
	
	<p><b>'.$lang['Password'].':</b> <input type="password" name="password1" size="20" maxlength="20" /> 
	<small>'.$lang['PWRules'].'</small></p>
	
	<p><b>'.$lang['PWNew2'].':</b> <input type="password" name="password2" size="20" maxlength="20" /></p>
	</fieldset>
	
	<div align="center"><input type="submit" name="submit" value="'.$lang['Register'].'" /></div>
	
	</form><!-- End of Form -->
	';

include_once ('templates/footer.tpl'); // Include the footer template file.
?>